> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Put approvalresource

> Updates the existing store of Resource Approval Flows for the Resources identified by the list of sysidResource in the wrapper.

The ResourceApproval Flows provided in the Resource Approvals Flows Update object PUT to this end point will be used to
add all ResourceApproval that are missing from a pre-existing list of ResourceApproval for each Resource identified in the List of SYSID_Resources.
Resource Approvals Flows Update object includes the following attributes:

**NOTE:** If sysidFlows is empty and replaceAll is true, all Resource Approval Flows will be deleted for the Resources
identified by the list of sysidResources.

The requesting User must have the following rights to perform this task:

This operation requires a Resource Approvals Update value.





## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml put /approval/resource
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /approval/resource:
    put:
      tags:
        - ApprovalsService
      description: >+
        Updates the existing store of Resource Approval Flows for the Resources
        identified by the list of sysidResource in the wrapper.


        The ResourceApproval Flows provided in the Resource Approvals Flows
        Update object PUT to this end point will be used to

        add all ResourceApproval that are missing from a pre-existing list of
        ResourceApproval for each Resource identified in the List of
        SYSID_Resources.

        Resource Approvals Flows Update object includes the following
        attributes:


        **NOTE:** If sysidFlows is empty and replaceAll is true, all Resource
        Approval Flows will be deleted for the Resources

        identified by the list of sysidResources.


        The requesting User must have the following rights to perform this task:


        This operation requires a Resource Approvals Update value.

      operationId: updateResourceApprovalFlows
      parameters: []
      requestBody:
        description: >-
          : ResourceApprovalsUpdate object to update in the Agilquest.com
          system..
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  replaceAll: true
                  sysidResources:
                    - 12345
                    - 12345
                  sysidFlows:
                    - 12345
                    - 12345
            schema:
              $ref: '#/components/schemas/ResourceApprovalsUpdate'
      responses:
        '204':
          description: No Content
          content:
            application/json:
              schema:
                type: string
components:
  schemas:
    ResourceApprovalsUpdate:
      type: object
      title: ResourceApprovalsUpdate
      required:
        - replaceAll
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            replaceAll:
              type: boolean
            sysidResources:
              type: array
              items:
                type: integer
            sysidFlows:
              type: array
              items:
                type: integer
      example:
        replaceAll: true
        sysidResources:
          - 12345
          - 12345
        sysidFlows:
          - 12345
          - 12345
    DependentData:
      type: object
      title: DependentData
      example: {}

````